import { program as app, Command } from '@/program.ts';
import { getConfig, writeConfig } from '@/module/index.ts';

const command = new Command('config')
  .description('')
  .option('-d, --dev <dev>', 'Specify dev')
  .option('-l --list', 'list config')
  .action(async (options) => {
    const { dev, list } = options || {};
    if (dev === 'true' || dev === 'false') {
      const config = getConfig();
      if (dev === 'true') {
        writeConfig({ ...config, dev: true });
      } else {
        writeConfig({ ...config, dev: false });
      }
    }
    if (list) {
      const config = getConfig();
      console.log('config', config);
    }
  });

app.addCommand(command);
